<?xml version="1.0"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
  <head>
    <title>Synopsis Cross-Reference</title>
    <meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
    <link href="/style.css" type="text/css" rel="stylesheet" />
  </head>
  <body class="RawFile">
    <h1>Synopsis Cross-Reference</h1>
    <div class="navigation">
<span class="normal"><a href="../index.html" >Index</a></span>
<span class="normal"><a href="../dir.html" >Directory Listing</a></span>
</div>
File: <b >Shapes.h</b><pre class="sxr"><span class="lineno"> 1</span><span class="line">#ifndef Shapes_h_</span>
<span class="lineno"> 2</span><span class="line">#define Shapes_h_</span>
<span class="lineno"> 3</span><span class="line"></span>
<span class="lineno"> 4</span><span class="line">#include &lt;Paths.h&gt;</span>
<span class="lineno"> 5</span><span class="line"></span>
<span class="lineno"> 6</span><span class="line">class Shape</span>
<span class="lineno"> 7</span><span class="line">{</span>
<span class="lineno"> 8</span><span class="line">public:</span>
<span class="lineno"> 9</span><span class="line">  virtual ~Shape&#40;&#41; {}</span>
<span class="lineno">10</span><span class="line">  virtual void draw&#40;&#41; = 0;</span>
<span class="lineno">11</span><span class="line">  virtual const Path &amp;outline&#40;&#41; = 0;</span>
<span class="lineno">12</span><span class="line">};</span>
<span class="lineno">13</span><span class="line"></span>
<span class="lineno">14</span><span class="line">class Polygon : public Shape</span>
<span class="lineno">15</span><span class="line">{</span>
<span class="lineno">16</span><span class="line">public:</span>
<span class="lineno">17</span><span class="line">  Polygon&#40;&#41;;</span>
<span class="lineno">18</span><span class="line">  virtual ~Polygone&#40;&#41; {}</span>
<span class="lineno">19</span><span class="line">  virtual void draw&#40;&#41;;</span>
<span class="lineno">20</span><span class="line">  virtual const Path &amp;outline&#40;&#41; { return outline_;}</span>
<span class="lineno">21</span><span class="line">private:</span>
<span class="lineno">22</span><span class="line">  Paths::Polyline outline_;</span>
<span class="lineno">23</span><span class="line">};</span>
<span class="lineno">24</span><span class="line"></span>
<span class="lineno">25</span><span class="line">class Ellipse : public Shape</span>
<span class="lineno">26</span><span class="line">{</span>
<span class="lineno">27</span><span class="line">public:</span>
<span class="lineno">28</span><span class="line">  Ellipse&#40;&#41;;</span>
<span class="lineno">29</span><span class="line">  virtual ~Ellipse&#40;&#41; {}</span>
<span class="lineno">30</span><span class="line">  virtual void draw&#40;&#41;;</span>
<span class="lineno">31</span><span class="line">  virtual const Path &amp;outline&#40;&#41; { return outline_;}</span>
<span class="lineno">32</span><span class="line">private:</span>
<span class="lineno">33</span><span class="line">  Paths::Nurbs outline_;</span>
<span class="lineno">34</span><span class="line">};</span>
<span class="lineno">35</span><span class="line"></span>
<span class="lineno">36</span><span class="line">#endif</span>
</pre>
  </body>
</html>
